[Overview][Resource strings][Constants][Types][Classes][Variables][Index] | Reference for unit 'simpleipc' (#fcl)

# TIPCServerComm.PeekMessage

See if a message is available.

## Declaration

Source position: simpleipc.pp line 59

`public function TIPCServerComm.PeekMessage(`
`TimeOut: Integer`
`):Boolean; virtual; abstract;`

## Arguments

`TimeOut` |  | Number of milliseconds to wait for a message.

## Function result

True if a message was available.

## Description

PeekMessage can be used to see if a message is available: it returns True if a message is available. It will wait maximum TimeOut milliseconds for a message to arrive. If no message was available after this time, it will return False.

If a message was available, it can be read with the ReadMessage call.

## See also

ReadMessage |  | Read message from the channel.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.